Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/AA_make
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/AA_make	(revision 958)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/AA_make	(revision 959)
@@ -82,5 +82,5 @@
 
 lmdz:
-	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d $(RESOL_LMDZ) -arch $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_$(RESOL_LMDZ)_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d $(RESOL_LMDZ) -v true -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_$(RESOL_LMDZ)_phylmd_para_orch.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ4; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d $(RESOL_LMDZ) -v true -parallel mpi -arch $(FCM_ARCH) gcm ; cp bin/gcm_$(RESOL_LMDZ)_phylmd_para_orch.e ../../bin/gcm.e ; )
 
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.card
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.card	(revision 958)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.card	(revision 959)
@@ -14,4 +14,11 @@
 # To force usage of this Bands file, put LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart Job Name
 # LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5/XXXXXXX/ATM/Debug/XXXXXXX_Bands_96x95x19_3prc.dat_3
+
+# To force higher writing level for aerosol. 
+# LMDZ_Freq_aero : frequency for writing (in PeriodLength : 10Years = 120) , 
+# LMDZ_Length_aero : length of writing (in PeriodLength : 1Year = 12). 
+# To cancel this option put LMDZ_Length_aero=0
+LMDZ_Freq_aero=120
+LMDZ_Length_aero=12
 
 [InitialStateFiles]
@@ -43,9 +50,8 @@
 [OutputFiles]
 List=	(histmth.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,      Post_1M_histmth), \
-	(histNMC.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histNMC.nc,      NONE), \
-        (histrac.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histrac.nc,      NONE), \
+	(histNMC.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histNMC.nc,      Post_1M_histNMC), \
 	(dynzon.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_dynzon.nc,       NONE), \
-	(histday.nc,      ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,      NONE), \
-	(histhf.nc,       ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,       NONE)
+	(histday.nc,      ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,      Post_1D_histday), \
+	(histhf.nc,       ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,       Post_HF_histhf)
 
 [Post_1M_histmth]
@@ -54,6 +60,7 @@
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux_ter, taux_sic, taux_lic, taux_oce, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic)
 ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
+TimeSeriesVars3D = (upwd, lwcon, iwcon, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres, rneb, rnebcon, rhum, ozone, ozone_daylight)
+ChunckJob3D = 100Y
+Seasonal=ON
 
 [Post_1M_histNMC]
@@ -64,12 +71,5 @@
 TimeSeriesVars3D = (temp, phi, q, u, v, rh)
 ChunckJob3D = NONE
-
-[Post_1M_histrac]
-Patches= (Patch_20091030_histcom_time_axis)
-GatherWithInternal = (lon, lat, presnivs, time_counter, aire)
-TimeSeriesVars2D=()
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
+Seasonal=OFF
 
 [Post_1M_dynzon]
@@ -80,4 +80,5 @@
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
+Seasonal=OFF
 
 [Post_1D_histday]
@@ -87,5 +88,6 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = (temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres)
-ChunckJob3D = 50Y
+ChunckJob3D = OFF
+Seasonal=OFF
 
 [Post_HF_histhf]
@@ -93,5 +95,6 @@
 GatherWithInternal = (lon, lat, presnivs, time_counter)
 TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, prw, t2m, tsol, u10m, v10m, t1000, t925, t850, t700, t500, t300, t250, t200, t150, t100, t50, t30, t10, u1000, u925, u850, u700, u500, u300, u250, u200, u150, u100, u50, u30, u10, v1000, v925, v850, v700, v500, v300, v250, v200, v150, v100, v50, v30, v10, phi1000, phi925, phi850, phi700, phi500, phi300, phi250, phi200, phi150, phi100, phi50, phi30, phi10, w1000, w925, w850, w700, w500, w300, w250, w200, w150, w100, w50, w30, w10, q1000, q925, q850, q700, q500, q300, q250, q200, q150, q100, q50, q30, q10)
-ChunckJob2D = 30Y
+ChunckJob2D = OFF
 TimeSeriesVars3D = (temp, theta, ovap, ovapinit, vitu, vitv)
-ChunckJob3D = 10Y
+ChunckJob3D = OFF
+Seasonal=OFF
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.driver
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.driver	(revision 958)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/lmdz.driver	(revision 959)
@@ -3,4 +3,17 @@
 #!/bin/ksh
 #-----------------------------------------------------------------
+function LMDZ_sed
+{
+    IGCM_debug_PushStack "LMDZ_sed"
+
+    sed -e "s/^${2}\ *=.*/${2}= ${3}/" ${1} > ${1}.tmp
+    RET=$?
+    echo "LMDZ_sed : ${1} ${2} ${3}"
+    \mv ${1}.tmp ${1}
+
+    IGCM_debug_PopStack "LMDZ_sed"
+    return $RET
+}
+
 function ATM_Initialize
 {
@@ -70,11 +83,11 @@
     PAT_day_step=$(  grep -v ^# ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D} | grep day_step )
 
-    ## Read LMDZ_NbPeriod_adjust option in ${compname}.card 
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices LMDZ_NbPeriod_adjust
-    eval LMDZ_NbPeriod_adjust=\${${compname}_UserChoices_LMDZ_NbPeriod_adjust} > /dev/null 2>&1
+    ## Read LMDZ_NbPeriod_adjust option in lmdz.card 
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices LMDZ_NbPeriod_adjust
+    eval LMDZ_NbPeriod_adjust=\${lmdz_UserChoices_LMDZ_NbPeriod_adjust} > /dev/null 2>&1
 
     if [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
-        IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices LMDZ_Bands_file_name
-        eval LMDZ_Bands_file_name=\${${compname}_UserChoices_LMDZ_Bands_file_name} > /dev/null 2>&1
+        IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices LMDZ_Bands_file_name
+        eval LMDZ_Bands_file_name=\${lmdz_UserChoices_LMDZ_Bands_file_name} > /dev/null 2>&1
     fi
 
@@ -86,4 +99,8 @@
     #(( day_step = 48 * iphysiq ))
     day_step=$( echo ${PAT_day_step} | awk -F= '{print $2}' )
+
+    ##  Read LMDZ_Freq_aero and LMDZ_Length_aero in lmdz.card
+    eval LMDZ_Freq_aero=\${lmdz_UserChoices_LMDZ_Freq_aero} > /dev/null 2>&1
+    eval LMDZ_Length_aero=\${lmdz_UserChoices_LMDZ_Length_aero} > /dev/null 2>&1
 
     IGCM_debug_PopStack "ATM_Initialize"
@@ -119,4 +136,15 @@
     fi
 
+    ## To have more variables in output files for aerosols. Parameters are set in lmdz.card
+    if [ ${CumulPeriod}%${LMDZ_Freq_aero} -le ${LMDZ_Length_aero} ]; then
+       if [ ${CumulPeriod}%${LMDZ_Freq_aero} -ne 0 ]; then 
+          lev_histmth=4
+       else
+          lev_histmth=2    
+       fi
+    else
+       lev_histmth=2
+    fi    
+
     ## algo : For CumulPeriod=1 ; 
     ##        IF NbPeriod_Adjust = 0, Get Bands file directly from server, store it with _0 suffix
@@ -127,5 +155,5 @@
     if [ ${CumulPeriod} -eq 1 ] ; then
         if [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
-            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ; IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
             IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
             IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0"
@@ -139,37 +167,29 @@
     [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && (( RefPeriod = ${CumulPeriod} - 1 )) 
 
-    [ ${CumulPeriod} -gt 1 ] && IGCM_sys_Get ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
-
-    ## Mise en forme du fichier physiq.def
-    sed -e "s/${PAT_INST}/OK_instan=${OK_instan}/"                 \
-	-e "s/${PAT_JOUR}/OK_journe=${OK_journe}/"                 \
-	-e "s/${PAT_MOIS}/OK_mensuel=${OK_mensuel}/"               \
-	-e "s/${PAT_HFRE}/ok_hf=${ok_hf}/"                         \
-        -e "s/${PAT_ecrit_mth}/ecrit_mth=${LMDZ_ecrit_mth}/"       \
-        -e "s/${PAT_ecrit_ISCCP}/ecrit_ISCCP=${LMDZ_ecrit_ISCCP}/" \
-	physiq.def > physiq.def.tmp
-    IGCM_sys_Mv physiq.def.tmp physiq.def
-
-    ## Mise en forme du fichier gcm.def
-    sed -e "s/${PAT_day_step}/day_step=${day_step}/"    \
-	-e "s/${PAT_iperiod}/iperiod=${iperiod}/"       \
-	-e "s/${PAT_iphysiq}/iphysiq=${iphysiq}/"       \
-	gcm.def > gcm.def.tmp
-    IGCM_sys_Mv gcm.def.tmp gcm.def
-
-    ## Mise en forme du fichier run.def
-    sed -e "s/_dayref_/${InitDay}/"                    \
-	-e "s/_anneeref_/${InitYear}/"                 \
-        -e "s/_calend_/${CalendarTypeForLmdz}/"        \
-	-e "s/_nday_/${PeriodLengthInDays}/"           \
-	-e "s/_raz_date_/${RAZ_DATE}/"                 \
-        -e "s/_periodav_/${LMDZ_periodav}/"            \
-	-e "s/_adjust_/${LMDZ_adjust}/"                \
-	run.def > run.def.tmp
-    IGCM_sys_Mv run.def.tmp run.def
-
-    ## Read ByPass_hgardfou_teta option in ${compname}.card --> divide teta* by 2 if [ $ByPass_hgardfou_teta = 1 ]
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_teta
-    eval ByPass_hgardfou_teta=\${${compname}_UserChoices_ByPass_hgardfou_teta} > /dev/null 2>&1
+    [ ${CumulPeriod} -gt 1 ] && ( IGCM_sys_Get ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ; IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat )
+
+    ## physiq.def parameters modified from initial physiq_L${RESOL_ATM_Z}
+    LMDZ_sed physiq.def OK_instan   ${OK_instan}
+    LMDZ_sed physiq.def OK_journe   ${OK_journe}
+    LMDZ_sed physiq.def OK_mensuel  ${OK_mensuel}
+    LMDZ_sed physiq.def lev_histmth ${lev_histmth}
+    LMDZ_sed physiq.def ok_hf       ${ok_hf}
+    LMDZ_sed physiq.def ecrit_mth   ${LMDZ_ecrit_mth}
+    LMDZ_sed physiq.def ecrit_ISCCP ${LMDZ_ecrit_ISCCP}
+
+    ## gcm.def parameters : no change since gcm.def_${RESOL_ATM_3D} is used and already modified
+
+    ## run.def parameters
+    LMDZ_sed run.def dayref   ${InitDay}
+    LMDZ_sed run.def anneeref ${InitYear}
+    LMDZ_sed run.def calend   ${CalendarTypeForLmdz}
+    LMDZ_sed run.def nday     ${PeriodLengthInDays}
+    LMDZ_sed run.def raz_date ${RAZ_DATE}
+    LMDZ_sed run.def periodav ${LMDZ_periodav}
+    LMDZ_sed run.def adjust   ${LMDZ_adjust}
+
+    ## Read ByPass_hgardfou_teta option in lmdz.card --> divide teta* by 2 if [ $ByPass_hgardfou_teta = 1 ]
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices ByPass_hgardfou_teta
+    eval ByPass_hgardfou_teta=\${lmdz_UserChoices_ByPass_hgardfou_teta} > /dev/null 2>&1
     if [ ${ByPass_hgardfou_teta} = y ] ; then
 	awk '{ if ($0 ~ /^teta.*=/) {split($0,a,"=") ; print a[1]"="a[2]/2"."} else print $0}' gcm.def > gcm.def.tmp
@@ -180,10 +200,10 @@
 	cat gcm.def
 	ByPass_hgardfou_teta=n
-	IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_teta "${ByPass_hgardfou_teta}"
-    fi
-
-    ## Read ByPass_hgardfou_mats option in ${compname}.card --> purmats=y 2 if [ $ByPass_hgardfou_mats = 1 ]
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_mats
-    eval ByPass_hgardfou_mats=\${${compname}_UserChoices_ByPass_hgardfou_mats} > /dev/null 2>&1
+	IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices ByPass_hgardfou_teta "${ByPass_hgardfou_teta}"
+    fi
+
+    ## Read ByPass_hgardfou_mats option in lmdz.card --> purmats=y 2 if [ $ByPass_hgardfou_mats = 1 ]
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices ByPass_hgardfou_mats
+    eval ByPass_hgardfou_mats=\${lmdz_UserChoices_ByPass_hgardfou_mats} > /dev/null 2>&1
     if [ ${ByPass_hgardfou_mats} = y ] ; then
 	sed -e "s/^purmats=.*/purmats=y/" gcm.def > gcm.def.tmp
@@ -194,5 +214,5 @@
         cat gcm.def
         ByPass_hgardfou_mats=n
-        IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_mats "${ByPass_hgardfou_mats}"
+        IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/lmdz.card UserChoices ByPass_hgardfou_mats "${ByPass_hgardfou_mats}"
     fi
 
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/orchidee.card
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/orchidee.card	(revision 958)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/orchidee.card	(revision 959)
@@ -39,2 +39,3 @@
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, CO2FLUX)
 ChunckJob3D = NONE
+Seasonal=ON
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/stomate.card
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/stomate.card	(revision 958)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/COMP/stomate.card	(revision 959)
@@ -30,4 +30,5 @@
 TimeSeriesVars2D= (T2M_MONTH,CONTFRAC,RESOLUTION_X,RESOLUTION_Y,TOTAL_SOIL_CARB,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (CO2FLUX_MONTHLY,LAI,VEGET,VEGET_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M,TOTAL_BM_LITTER)
+TimeSeriesVars3D = (CO2FLUX_MONTHLY,LAI,VEGET,VEGET_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M,TOTAL_BM_LITTER,HARVEST_ABOVE)
 ChunckJob3D = NONE
+Seasonal=ON
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/orchidee.def
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/orchidee.def	(revision 958)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/PARAM/orchidee.def	(revision 959)
@@ -572,6 +572,13 @@
 
 # Total depth of soil reservoir
-HYDROL_SOIL_DEPTH = 2.
+HYDROL_SOIL_DEPTH = 4.
 # default = 2.
+
+# Root profile
+# Default values were defined for 2 meters soil depth.
+# For 4 meters soil depth, you may use those ones :
+# 5., .4, .4, 1., .8, .8, 1., 1., .8, 4., 1., 4., 1.
+HYDROL_HUMCSTE = 5., .4, .4, 1., .8, .8, 1., 1., .8, 4., 1., 4., 1.
+# default =  5., .8, .8, 1., .8, .8, 1., 1., .8, 4., 4., 4., 4.
 
 # Initial restart deep soil moisture if not found in restart
@@ -682,5 +689,5 @@
 # Add from Nathalie - the 28 of March 2006 - advice from Fred Hourdin
 # By PFT.
-RVEG_PFT = 1., 0.5, 0.5, 1., 1., 1., 1., 1., 1., 1., 0.5, 1., 0.5
+RVEG_PFT = 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1.
 # default = 1.
 
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/POST/monitoring01_orchidee.cfg
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/POST/monitoring01_orchidee.cfg	(revision 958)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/POST/monitoring01_orchidee.cfg	(revision 959)
@@ -23,9 +23,11 @@
 #
 # Notes:
-#   - Comment lines begin by '#' character
-#   - Separator between fields is '|' character
-#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset
-#   - files patterns, operations,title,units must be enclosed with character '"'
-#   - fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#   - Comment lines begin by # character.
+#   - Separator between fields is | character.
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset.
+#     They must be enclosed by parenthesis if more than one variable is used.
+#   - files patterns,files additionnal,operations,title,units must be enclosed with character ". 
+#     Use "" if empty.
+#   - Fields will be presented through an html page with thumbnails global, north, south, land, ocean.
 #     Use a field name with one of these pattern to display it under the corresponding thumbnail.
 #
@@ -37,15 +39,29 @@
 #  field | files patterns | files additionnal | operations | title | units | calcul of area
 #------------------------------------------------------------------------------------------------------------------------------------------------------
-evap_lands     | "evap"            |                   | "evap[d=1]"                      | "Evaporation (LANDS)"          | "mm/d"   | "Areas[d=1]*Contfrac[d=1]"
-temp_sol_lands | "temp_sol"        |                   | "temp_sol[d=1]"                  | "TSOL (LANDS)"                 | "K/d"    | "Areas[d=1]*Contfrac[d=1]"
-humidity_lands | "bqsb gqsb"       |                   | "bqsb[d=1]+gqsb[d=2]"            | "Total Soil Moisture  (LANDS)" | "1"      | "Areas[d=1]*Contfrac[d=1]"
-fluxsens_lands | "fluxsens"        |                   | "fluxsens[d=1]"                  | "Sensible Flux (LANDS)"        | "W/m^2"  | "Areas[d=1]*Contfrac[d=1]"
-albedo_lands   | "alb_vis alb_nir" |                   | "(alb_vis[d=1]+alb_nir[d=2])*0.5"| "Mean Albedo (LANDS)"          | "1"      | "Areas[d=1]*Contfrac[d=1]"
-subli_lands    | "subli"           |                   | "subli[d=1]"                     | "Sublimation (LANDS)"          | "mm/d"   | "Areas[d=1]*Contfrac[d=1]"
-snow_lands     | "snow"            |                   | "snow[d=1]"                      | "Snow Mass (LANDS)"            | "kg/m^2" | "Areas[d=1]*Contfrac[d=1]"
-snownobio_lands | "snownobio"      |                   | "snownobio[d=1]"                 | "Snow Other Surfaces (LANDS)"  | "kg/m^2" | "Areas[d=1]*Contfrac[d=1]"
-snowf_lands    | "snowf"           |                   | "snowf[d=1]"                     | "Snowfall (LANDS)"             | "mm/d"   | "Areas[d=1]*Contfrac[d=1]"
-vegeta_lands   | "_vegetfrac"      |                   | "vegetfrac[d=1,K=12:13]"         | "veget agriculture (LANDS)"    | "1"      | "2"
-maxveget_lands | "maxvegetfrac"    |                   | "maxvegetfrac[d=1,K=12:13]"      | "vegetmax[pft=1] (LANDS)"      | "1"      | "2"
-lai_lands      | "lai"             |                   | "lai[d=1]*Areas[d=1]*Contfrac[d=1]"          | "lai (LANDS)"      | "1"      | "2"
+evap_lands     | "evap"            |  ""               | "evap[d=1]"                      | "Evaporation (LANDS)"          | "mm/d"   | "Areas[d=1]*Contfrac[d=1]"
+temp_sol_lands | "temp_sol"        |  ""               | "temp_sol[d=1]"                  | "TSOL (LANDS)"                 | "K/d"    | "Areas[d=1]*Contfrac[d=1]"
+humidity_lands | "bqsb gqsb"       |  ""               | "(bqsb[d=1]+gqsb[d=2])"            | "Total Soil Moisture  (LANDS)" | "1"      | "Areas[d=1]*Contfrac[d=1]"
+fluxsens_lands | "fluxsens"        |  ""               | "fluxsens[d=1]"                  | "Sensible Flux (LANDS)"        | "W/m^2"  | "Areas[d=1]*Contfrac[d=1]"
+albedo_lands   | "alb_vis alb_nir" |  ""               | "((alb_vis[d=1]+alb_nir[d=2])*0.5)"| "Mean Albedo (LANDS)"          | "1"      | "Areas[d=1]*Contfrac[d=1]"
+subli_lands    | "subli"           |  ""               | "subli[d=1]"                     | "Sublimation (LANDS)"          | "mm/d"   | "Areas[d=1]*Contfrac[d=1]"
+snow_lands     | "snow"            |  ""               | "snow[d=1]"                      | "Snow Mass (LANDS)"            | "kg/m^2" | "Areas[d=1]*Contfrac[d=1]"
+snownobio_lands | "snownobio"      |  ""               | "snownobio[d=1]"                 | "Snow Other Surfaces (LANDS)"  | "kg/m^2" | "Areas[d=1]*Contfrac[d=1]"
+snowf_lands    | "snowf"           |  ""               | "snowf[d=1]"                     | "Snowfall (LANDS)"             | "mm/d"   | "Areas[d=1]*Contfrac[d=1]"
+vegetn_lands   | "_vegetfrac"      |  ""               | "vegetfrac[d=1,K=2:9]"           | "veget natural (LANDS)"        | "1"      | "2"
+vegetg_lands   | "_vegetfrac"      |  ""               | "vegetfrac[d=1,K=10:11]"         | "veget natural grass (LANDS)"  | "1"      | "2"
+vegeta_lands   | "_vegetfrac"      |  ""               | "vegetfrac[d=1,K=12:13]"         | "veget agriculture (LANDS)"    | "1"      | "2"
+maxveget_lands | "maxvegetfrac"    |  ""               | "maxvegetfrac[d=1,K=12:13]"      | "vegetmax[pft=12,13] (LANDS)"      | "1"      | "2"
+lai_lands      | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=2:13]*maxvegetfrac[d=2,K=2:13])"  | "lai (LANDS)"      | "1"      | "2"
+# lai2_lands     | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=2]*maxvegetfrac[d=2,K=2])" | "lai (LANDS)"      | "1"      | "2"
+# lai3_lands     | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=3]*maxvegetfrac[d=2,K=3])" | "lai (LANDS)"      | "1"      | "2"
+# lai4_lands     | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=4]*maxvegetfrac[d=2,K=4])" | "lai (LANDS)"      | "1"      | "2"
+# lai5_lands     | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=5]*maxvegetfrac[d=2,K=5])" | "lai (LANDS)"      | "1"      | "2"
+# lai6_lands     | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=6]*maxvegetfrac[d=2,K=6])" | "lai (LANDS)"      | "1"      | "2"
+# lai7_lands     | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=7]*maxvegetfrac[d=2,K=7])" | "lai (LANDS)"      | "1"      | "2"
+# lai8_lands     | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=8]*maxvegetfrac[d=2,K=8])" | "lai (LANDS)"      | "1"      | "2"
+# lai9_lands     | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=9]*maxvegetfrac[d=2,K=9])" | "lai (LANDS)"      | "1"      | "2"
+# lai10_lands    | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=10]*maxvegetfrac[d=2,K=10])" | "lai (LANDS)"      | "1"      | "2"
+# lai11_lands    | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=11]*maxvegetfrac[d=2,K=11])" | "lai (LANDS)"      | "1"      | "2"
+# lai12_lands    | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=12]*maxvegetfrac[d=2,K=12])" | "lai (LANDS)"      | "1"      | "2"
+# lai13_lands    | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=13]*maxvegetfrac[d=2,K=13])" | "lai (LANDS)"      | "1"      | "2"
 #------------------------------------------------------------------------------------------------------------------------------------------------------
Index: /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/POST/monitoring01_stomate.cfg
===================================================================
--- /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/POST/monitoring01_stomate.cfg	(revision 958)
+++ /CONFIG/LMDZOR/branches/LMDZ4OR_v3/LMDZOR/POST/monitoring01_stomate.cfg	(revision 959)
@@ -23,26 +23,32 @@
 #
 # Notes:
-#   - Comment lines begin by '#' character
-#   - Separator between fields is '|' character
-#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset
-#   - files patterns, operations,title,units must be enclosed with character '"'
-#   - fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#   - Comment lines begin by # character.
+#   - Separator between fields is | character.
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset.
+#     They must be enclosed by parenthesis if more than one variable is used.
+#   - files patterns,files additionnal,operations,title,units must be enclosed with character ". 
+#     Use "" if empty.
+#   - Fields will be presented through an html page with thumbnails global, north, south, land, ocean.
 #     Use a field name with one of these pattern to display it under the corresponding thumbnail.
 #
 ##################################################################################################################
 
-color=E7FFAB
+color=EEE8AA
 smooth=12
 #------------------------------------------------------------------------------------------------------------------------------------------------------
 #  field | files patterns | files additionnal | operations | title | units | calcul of area
 #------------------------------------------------------------------------------------------------------------------------------------------------------
-SOIL_CARB_lands  | "TOTAL_SOIL_CARB VEGET_MAX CONTFRAC" |  | "(TOTAL_SOIL_CARB[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"  | "Total Soil Carbon (LANDS)"    | "gtC" | "2"
-BIOMASS_lands    | "TOTAL_M VEGET_MAX CONTFRAC"         |  | "(TOTAL_M[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"          | "Total Biomass (LANDS)"        | "gtC" | "2"
-LITTER_lands     | "TOTAL_BM_LITTER VEGET_MAX CONTFRAC" |  | "(TOTAL_BM_LITTER[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"  | "Total Litter (LANDS)"         | "gtC" | "2"
-CO2FLUX_lands    | "CO2FLUX_MONTHLY VEGET_MAX CONTFRAC" |  | "(CO2FLUX_MONTHLY[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"  | "NEE (LANDS)"                  | "GtC" | "2"
-NPP_lands        | "NPP VEGET_MAX CONTFRAC"             |  | "(NPP[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"              | "Net Primary Produc (LANDS)"   | "gtC" | "2"
-GPP_lands        | "GPP VEGET_MAX CONTFRAC"             |  | "(GPP[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"              | "Gross Primary Produc (LANDS)" | "gtC" | "2"
-HET_RESP_lands   | "HET_RESP VEGET_MAX CONTFRAC"        |  | "(HET_RESP[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3])"         | "Heterotr. Resp. (LANDS)"      | "gC" | "2"
-MAINT_RESP_lands | "MAINT_RESP VEGET_MAX CONTFRAC"      |  | "(MAINT_RESP[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3])"       | "Maintenance Resp. (LANDS)"    | "gC" | "2"
-GROWTH_RESP_lands| "GROWTH_RESP VEGET_MAX CONTFRAC"     |  | "(GROWTH_RESP[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3])"      | "Growth Resp. (LANDS)"         | "gC" | "2"
+CONVFLUX_lands      | "CONVFLUX CONTFRAC"                  | "" | "(CONVFLUX[d=1]*AREAS[d=1]*CONTFRAC[d=2]/1e15)"                           | "Annual release right after deforestation (LANDS)"            | "PgC/yr" | "2"
+CFLUX_PROD10_lands  | "CFLUX_PROD10 CONTFRAC"              | "" | "(CFLUX_PROD10[d=1]*AREAS[d=1]*CONTFRAC[d=2]/1e15)"                       | "Annual release from all 10 year wood product pools (LANDS)"  | "PgC/yr" | "2"
+CFLUX_PROD100_lands | "CFLUX_PROD100 CONTFRAC"             | "" | "(CFLUX_PROD100[d=1]*AREAS[d=1]*CONTFRAC[d=2]/1e15)"                      | "Annual release from all 100 year wood product pools (LANDS)" | "PgC/yr" | "2"
+HARVEST_ABOVE_lands | "HARVEST_ABOVE CONTFRAC"             | "" | "(HARVEST_ABOVE[d=1]*AREAS[d=1]*CONTFRAC[d=2]/1e15)"                      | "Annual release product after harvest (LANDS)"                | "PgC/yr" | "2"
+SOIL_CARB_lands     | "TOTAL_SOIL_CARB VEGET_MAX CONTFRAC" | "" | "(TOTAL_SOIL_CARB[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"     | "Total Soil Carbon (LANDS)"                                   | "PgC"    | "2"
+BIOMASS_lands       | "TOTAL_M VEGET_MAX CONTFRAC"         | "" | "(TOTAL_M[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"             | "Total Biomass (LANDS)"                                       | "PgC"    | "2"
+LITTER_lands        | "TOTAL_BM_LITTER VEGET_MAX CONTFRAC" | "" | "(TOTAL_BM_LITTER[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"     | "Total Litter (LANDS)"                                        | "PgC"    | "2"
+CO2FLUX_lands       | "CO2FLUX_MONTHLY VEGET_MAX CONTFRAC" | "" | "(CO2FLUX_MONTHLY[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)" | "NEE (LANDS)"                                                 | "PgC/yr" | "2"
+NPP_lands           | "NPP VEGET_MAX CONTFRAC"             | "" | "(NPP[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"             | "Net Primary Produc (LANDS)"                                  | "PgC/yr" | "2"
+GPP_lands           | "GPP VEGET_MAX CONTFRAC"             | "" | "(GPP[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"             | "Gross Primary Produc (LANDS)"                                | "PgC/yr" | "2"
+HET_RESP_lands      | "HET_RESP VEGET_MAX CONTFRAC"        | "" | "(HET_RESP[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"        | "Heterotr. Resp. (LANDS)"                                     | "PgC/yr" | "2"
+MAINT_RESP_lands    | "MAINT_RESP VEGET_MAX CONTFRAC"      | "" | "(MAINT_RESP[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"      | "Maintenance Resp. (LANDS)"                                   | "PgC/yr" | "2"
+GROWTH_RESP_lands   | "GROWTH_RESP VEGET_MAX CONTFRAC"     | "" | "(GROWTH_RESP[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"     | "Growth Resp. (LANDS)"                                        | "PgC/yr" | "2"
 #------------------------------------------------------------------------------------------------------------------------------------------------------
